Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
- Adaptations
- Analyzer
- AnalyzerPlugins
- Checkable
- ConstantFolder
- ContextErrors
- ContextMode
- Contexts
- DestructureTypes
- Duplicators
- EtaExpansion
- Fingerprint
- Implicits
- ImplicitsStats
- Infer
- Macros
- MacrosStats
- MethodSynthesis
- Namers
- NamesDefaults
- PatternTypers
- RefChecks
- StdAttachments
- StructuredTypeStrings
- SuperAccessors
- SyntheticMethods
- Tags
- TreeCheckers
- TypeDiagnostics
- TypeStrings
- Typers
- TypersStats
- TypersTracking
- Unapplies

t

scala.tools.nsc.typechecker

# AnalyzerPlugins 

###

#### trait AnalyzerPlugins extends AnyRef

Self Type
  Analyzer
Source
  AnalyzerPlugins.scala
Version

  1.0

Linear Supertypes
AnyRef, Any
Known Subclasses
erasure, treeChecker, ScaladocAnalyzer, InteractiveAnalyzer, Erasure, Duplicator, SpecializationDuplicator, Analyzer, Duplicators, TreeCheckers
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AnalyzerPlugins
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  trait AnalyzerPlugin extends AnyRef
2.  trait MacroPlugin extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from AnalyzerPlugins to any2stringadd[AnalyzerPlugins] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (AnalyzerPlugins, B)
   Implicit
     This member is added by an implicit conversion from AnalyzerPlugins to ArrowAssoc[AnalyzerPlugins] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def adaptAnnotations(tree: Global.Tree, typer: Analyzer.Typer, mode: Mode, pt: Global.Type): Global.Tree

   See also

     AnalyzerPlugin.adaptAnnotations

7.  def addAnalyzerPlugin(plugin: Analyzer.AnalyzerPlugin): Unit

   Registers a new analyzer plugin

8.  def addMacroPlugin(plugin: Analyzer.MacroPlugin): Unit

   Registers a new macro plugin

9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def canAdaptAnnotations(tree: Global.Tree, typer: Analyzer.Typer, mode: Mode, pt: Global.Type): Boolean

    See also

      AnalyzerPlugin.canAdaptAnnotations

11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  def ensuring(cond: (AnalyzerPlugins) ⇒ Boolean, msg: ⇒ Any): AnalyzerPlugins
    Implicit
      This member is added by an implicit conversion from AnalyzerPlugins to Ensuring[AnalyzerPlugins] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (AnalyzerPlugins) ⇒ Boolean): AnalyzerPlugins
    Implicit
      This member is added by an implicit conversion from AnalyzerPlugins to Ensuring[AnalyzerPlugins] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): AnalyzerPlugins
    Implicit
      This member is added by an implicit conversion from AnalyzerPlugins to Ensuring[AnalyzerPlugins] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): AnalyzerPlugins
    Implicit
      This member is added by an implicit conversion from AnalyzerPlugins to Ensuring[AnalyzerPlugins] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from AnalyzerPlugins to StringFormat[AnalyzerPlugins] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  def pluginsEnsureCompanionObject(namer: Analyzer.Namer, cdef: Global.ClassDef, creator: (Global.ClassDef) ⇒ Global.Tree = companionModuleDef(_)): Global.Symbol

    See also

      MacroPlugin.pluginsEnsureCompanionObject

27.  def pluginsEnterStats(typer: Analyzer.Typer, stats: List[Global.Tree]): List[Global.Tree]

    See also

      MacroPlugin.pluginsEnterStats

28.  def pluginsEnterSym(namer: Analyzer.Namer, tree: Global.Tree): Analyzer.Context

    See also

      MacroPlugin.pluginsEnterSym

29.  def pluginsIsBlackbox(macroDef: Global.Symbol): Boolean

    See also

      MacroPlugin.pluginsIsBlackbox

30.  def pluginsMacroArgs(typer: Analyzer.Typer, expandee: Global.Tree): Analyzer.MacroArgs

    See also

      MacroPlugin.pluginsMacroArgs

31.  def pluginsMacroExpand(typer: Analyzer.Typer, expandee: Global.Tree, mode: Mode, pt: Global.Type): Global.Tree

    See also

      MacroPlugin.pluginsMacroExpand

32.  def pluginsMacroRuntime(expandee: Global.Tree): Analyzer.MacroRuntime

    See also

      MacroPlugin.pluginsMacroRuntime

33.  def pluginsPt(pt: Global.Type, typer: Analyzer.Typer, tree: Global.Tree, mode: Mode): Global.Type

    See also

      AnalyzerPlugin.pluginsPt

34.  def pluginsTypeSig(tpe: Global.Type, typer: Analyzer.Typer, defTree: Global.Tree, pt: Global.Type): Global.Type

    See also

      AnalyzerPlugin.pluginsTypeSig

35.  def pluginsTypeSigAccessor(tpe: Global.Type, typer: Analyzer.Typer, tree: Global.ValDef, sym: Global.Symbol): Global.Type

    See also

      AnalyzerPlugin.pluginsTypeSigAccessor

36.  def pluginsTyped(tpe: Global.Type, typer: Analyzer.Typer, tree: Global.Tree, mode: Mode, pt: Global.Type): Global.Type

    See also

      AnalyzerPlugin.pluginsTyped

37.  def pluginsTypedMacroBody(typer: Analyzer.Typer, ddef: Global.DefDef): Global.Tree

    See also

      MacroPlugin.pluginsTypedMacroBody

38.  def pluginsTypedReturn(tpe: Global.Type, typer: Analyzer.Typer, tree: Global.Return, pt: Global.Type): Global.Type

    See also

      AnalyzerPlugin.pluginsTypedReturn

39.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
40.  def toString(): String
    Definition Classes
      AnyRef → Any
41.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
42.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
43.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  def →[B](y: B): (AnalyzerPlugins, B)
    Implicit
      This member is added by an implicit conversion from AnalyzerPlugins to ArrowAssoc[AnalyzerPlugins] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AnalyzerPlugins to any2stringadd[AnalyzerPlugins]

### Inherited by implicit conversion StringFormat from AnalyzerPlugins to StringFormat[AnalyzerPlugins]

### Inherited by implicit conversion Ensuring from AnalyzerPlugins to Ensuring[AnalyzerPlugins]

### Inherited by implicit conversion ArrowAssoc from AnalyzerPlugins to ArrowAssoc[AnalyzerPlugins]

### Ungrouped